Create new pay-in trade.
POST /api/v1/orders/deposit/create
Body params:
merchant_id(String) — Merchant uuid (required)order_id(String) — Merchant order identifier (required)amount_cents(Integer) — Amount in cents (required)amount_currency(String) — Currency (required)type(String) — Payment type (required)client_id(String) — Customer identifier (required)callback_url(String) — (optional)return_url(String) — (optional)
Success: 201
Errors: 401, 422
Example curl:
curl -X POST https://api.averonplus.com/api/v1/orders/deposit/create \
-H "X-Token: <token>" \
-H "Content-Type: application/json" \
-d '{
"merchant_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id":"ext-123",
"amount_cents":1000,
"amount_currency":"USD",
"type":"card",
"client_id":"cust-1"
}'
Example success response (201):
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "ext-123",
"merchant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"state": "pending",
"kind": "deposit",
"amount_cents": 1000,
"amount_currency": "USD",
"percent": 1.5,
"exchange_rate": 1.0,
"payment_data": {
"name": "Dan Shnider",
"number": "4242 4242 4242 4242",
"bank_name": "Bank Example"
},
"url": "https://pay.example.com/payment/3fa85f64"
}